<template>
  <div class="Function">
    <div class="title">功能介绍</div>
    <div class="content">
      {{ data.description }}
    </div>
    <div class="title">应用场景</div>
    <div class="content">
      <div class="sceneList">
        <div
          class="sceneItem"
          v-for="(item, index) in data.funcInfo"
          :key="index"
        >
          <div class="sceneTitle">{{ item.title }}</div>
          <div class="des">{{ item.desc }}</div>
        </div>
      </div>
    </div>

    <div class="title">产品优势</div>
    <div class="advantageArea">
      <div
        class="advantageItem"
        v-for="(item, index) in advantageArr"
        :key="index"
      >
        <img src="/images/equipmentManagement/全民云计算.png" alt="" />
        <div class="label">{{ item.label }}</div>
        <div class="des">{{ item.des }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  created() {
    console.log(this.dataInfo.data);
  },
  props: {
    dataInfo: {},
  },
  data() {
    return {
      data: this.dataInfo.data,
      advantageArr: [
        { label: "识别效率高", des: "支持实时识别，现场识别同步返回识别结果" },
        {
          label: "功能丰富",
          des: "垂直9大领域，支持上千种物体标签，数十种常见场景识别",
        },
        {
          label: "服务稳定高效",
          des: "使用规范化API接口及SDK，方便用户集成和调用，服务稳定可靠",
        },
        {
          label: "一站式解决方案",
          des: `全力打造一站式解决方案
          根据客户需求快速定制开发`,
        },
      ],
    };
  },
};
</script>

<style scoped lang="scss">
.Function {
  margin-bottom: 60px;
  box-sizing: border-box;
  padding: 60px 40px;
  background-color: #fff;
  .title {
    font-size: 28px;
    margin-bottom: 30px;
  }

  .content {
    margin-bottom: 80px;
    font-size: 14px;
    line-height: 21px;
    color: #000000;
  }

  .sceneList {
    display: flex;
    flex-wrap: wrap;

    .sceneItem {
      width: 599px;
      margin-bottom: 20px;

      .sceneTitle {
        margin-bottom: 10px;
        font-size: 22px;
        font-weight: 700;
      }

      &:nth-child(2n) {
        border-left: 1px solid #e9ebee;
      }
    }
  }

  .advantageArea {
    display: flex;

    .advantageItem {
      box-sizing: border-box;
      padding: 0 20px;
      height: 194px;
      flex: 1;
      text-align: center;
      background-color: #f3f5f8;

      img {
        margin: 20px 0;
        width: 60px;
        height: 60px;
      }

      .label {
        margin-bottom: 10px;
        font-size: 16px;
        font-weight: 700;
      }

      .des {
        font-size: 14px;
        color: #666;
      }
    }
  }
}
</style>